# -*- coding: utf-8 -*-
from __future__ import annotations

import enum

from django.utils.translation import gettext_lazy as _


class MessageLevelAlertClass(enum.Enum):
    debug = 'alert-secondary'
    info = 'alert-info'
    success = 'alert-success'
    warning = 'alert-warning'
    error = 'alert-danger'


class StarUnstarAssociationViewMode(enum.Enum):
    STAR = 'STAR'
    UNSTAR = 'UNSTAR'


class UIAccessTokenOriginApp(enum.Enum):
    SAFARI_WEB_EXTENSION = _('Safari Web Extension')
    CHROME_EXTENSION = _('Chrome Extension')
    FIREFOX_EXTENSION = _('Firefox Extension')
    HOTPOCKET_DESKTOP = _('HotPocket Desktop')
    HOTPOCKET_MOBILE = _('HotPocket Mobile')


class AuthSource(enum.Enum):
    BROWSER_EXTENSION = 'HotPocketExtension'
    DESKTOP = 'HotPocketDesktop'
    MOBILE = 'HotPocketMobile'
